Skip to content

EdgeOnSite API Reference

Complete API reference for EdgeOnSite operations.

Related: API Guide | All Resources

EdgeOnSite


Uploads user's labor hours in bulk.

POST
/edgeonsite/bulk-hours-upload

Uploads user's labor hours in bulk.

Authorizations

apiKeyHeader
Type
API Key (header: Ocp-Apim-Subscription-Key)
or
apiKeyQuery
Type
API Key (query: subscription-key)

Parameters

Header Parameters

Authorization

access token

Type
string

Request Body

JSON
{
"ProjectId": 0,
"Rows": [
{
"TrackCode": "string",
"Accept": true,
"TimeInHours": 0,
"ShiftDate": "string"
}
]
}

Responses

OK

JSON
[
{
"ProjectId": 0,
"Rows": [
{
"TrackCode": "string",
"Accept": true,
"TimeInHours": 0,
"ShiftDate": "string"
}
]
}
]

Gets the CMiC output by project.

POST
/edgeonsite/get-productivity

Gets the CMiC output by project.

Authorizations

apiKeyHeader
Type
API Key (header: Ocp-Apim-Subscription-Key)
or
apiKeyQuery
Type
API Key (query: subscription-key)

Parameters

Header Parameters

Authorization

access token

Type
string

Query Parameters

id*

Format - int32. The project identifier.

Type
integer
Required
Format
"int32"
fromDate

Format - date-time (as date-time in RFC3339). From date.

Type
string
Format
"date-time"
toDate

Format - date-time (as date-time in RFC3339). To date.

Type
string
Format
"date-time"

Responses

OK

JSON
[
{
"ReferenceNo": "string",
"SumOfProduction": 0,
"SumOfHours": 0,
"ProductionDate": "string",
"EstimatedUnit": "string",
"TrackCode": "string",
"TrackDescription": "string"
}
]

Gets the current projects

POST
/edgeonsite/get-projects

Gets the current projects

Authorizations

apiKeyHeader
Type
API Key (header: Ocp-Apim-Subscription-Key)
or
apiKeyQuery
Type
API Key (query: subscription-key)

Parameters

Header Parameters

Authorization

access token

Type
string

Request Body

JSON
{
"ProjectId": "string",
"OpportunityNo": "string",
"Name": "string"
}

Responses

OK

JSON
[
{
"ProjectID": 0,
"ReferenceNo": "string",
"OpportunityNo": "string",
"Name": "string",
"DateImported": "string",
"ProjectStatus": "string"
}
]

Powered by VitePress OpenAPI

Released under the Proprietary License.